Subject: Re: bug#67527: 30.0.50; FR: Add an option to disable ispell completion in text-mode

From: Eshel Yaron <[email-masked]>
Date: Wed, 29 Nov 2023 15:32:20 +0100

Eason Huang <[email-masked]> writes:

> Eshel Yaron <[email-masked]> writes:
>
>> Eason Huang, IIUC, you've globally set up your completion selection UI
>> to pop up automatically.  Before this commit, there were no completion
>> sources for text modes OOTB, so your global setting was equivalent in
>> practice to something that only affects non-text mode buffers, and that
>> was fine.  Is that correct?
> No. It's correct on the text file (.txt), but not in org-mode
> files. Because org-mode also derived from text-mode.
> ...
>
>> If so, my suggestion would be to change your global autocomplete setting
>> such that it doesn't apply for text buffers, seeing as you don't seem to
>> want such automatic behavior in these buffers, instead of disabling the
>> completion source.
>> 
>> So I'm not sure another user option is due here.  I think your
>> workaround is fine, if that works for you, of course.  But you could
>> just as well say `(setq-local corfu-auto nil)` in that hook, no?
>
> No. I need (setq-local corfu-auto t) on org-buffer

Sure, and you can do that.  Again, whatever solution works best for
you.  I just highlighted that the behavior that you want to avoid
seems to be a consequence of a global setting that you don't in fact
want to apply it in all buffers.  Makes sense?